TTYFLAGS(8)

NAME
ttyflags - set device-specific flags for terminals

SYNOPSIS
ttyflags [-v] [-a | tty ...]

DESCRIPTION
ttyflags sets the device-specific flags for terminals using TIOCSFLAGS, based on the flags found on the terminal's line in /etc/ttys.

The options are as follows:

-a  Set the flags for all terminals in /etc/ttys.

-v  Be verbose about what the terminals' flags will be set to.

The tty arguments are optional, but must not be specified if the -a flag is used. If specified, the tty arguments should be the base names of the ttys, as found in /etc/ttys.

FILES
/etc/ttys

SEE ALSO
getttyent(3), tty(4), ttys(5)

HISTORY
The ttyflags utility appeared in NetBSD 1.0.

BUGS
The conditions on which to report an error are ill-defined. ttyflags tries to report all significant errors, perhaps going over-board at times.